package de.cscherr.mcpht;

import net.minecraft.block.Block;
import net.minecraft.block.Blocks;
import net.minecraft.fluid.Fluid;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

public class XRay {
    public boolean enable = false;
    public ArrayList<Block> whitelistBlocks;
    public ArrayList<Fluid> whitelistFluids;

    public void load() {
        whitelistBlocks = new ArrayList<Block>(
                List.of(
                        // Ores
                        Blocks.COAL_ORE,
                        Blocks.COPPER_ORE,
                        Blocks.IRON_ORE,
                        Blocks.GOLD_ORE,
                        Blocks.LAPIS_ORE,
                        Blocks.DIAMOND_ORE,
                        Blocks.EMERALD_ORE,
                        Blocks.REDSTONE_ORE,

                        // Deepslate Ores
                        Blocks.DEEPSLATE_COAL_ORE,
                        Blocks.DEEPSLATE_COPPER_ORE,
                        Blocks.DEEPSLATE_IRON_ORE,
                        Blocks.DEEPSLATE_GOLD_ORE,
                        Blocks.DEEPSLATE_LAPIS_ORE,
                        Blocks.DEEPSLATE_DIAMOND_ORE,
                        Blocks.DEEPSLATE_EMERALD_ORE,
                        Blocks.DEEPSLATE_REDSTONE_ORE,

                        // Resource Blocks
                        Blocks.COAL_BLOCK,
                        Blocks.COPPER_BLOCK,
                        Blocks.IRON_BLOCK,
                        Blocks.GOLD_BLOCK,
                        Blocks.LAPIS_BLOCK,
                        Blocks.DIAMOND_BLOCK,
                        Blocks.REDSTONE_BLOCK,

                        // Crafting stuff
                        Blocks.CHEST,
                        Blocks.ENDER_CHEST,
                        Blocks.TRAPPED_CHEST,
                        Blocks.ENCHANTING_TABLE,
                        Blocks.FURNACE,
                        Blocks.BLAST_FURNACE,
                        Blocks.ANVIL,
                        Blocks.HOPPER,
                        Blocks.BEACON,

                        // Danger
                        Blocks.TNT,

                        // Shulker Boxes
                        // FIXME: Add the ones I forgot
                        Blocks.SHULKER_BOX,
                        Blocks.GREEN_SHULKER_BOX,
                        Blocks.YELLOW_SHULKER_BOX,
                        Blocks.BLACK_SHULKER_BOX,
                        Blocks.BLUE_SHULKER_BOX,
                        Blocks.BROWN_SHULKER_BOX,
                        Blocks.CYAN_SHULKER_BOX,
                        Blocks.GRAY_SHULKER_BOX,
                        Blocks.LIGHT_BLUE_SHULKER_BOX,
                        Blocks.LIGHT_GRAY_SHULKER_BOX,
                        Blocks.LIME_SHULKER_BOX,
                        Blocks.ORANGE_SHULKER_BOX,
                        Blocks.PINK_SHULKER_BOX,
                        Blocks.WHITE_SHULKER_BOX,
                        Blocks.RED_SHULKER_BOX
                )
        );
    }
}
